docs

# WebhookInfo

data class WebhookInfo ( val url: String , val awaitDelivery: Int , val maxConnections: Int = 40, val customCertificate: Boolean = false, val allowedUpdates: List < String > = ALL_UPDATES_LIST, val lastErrorDate: TelegramDate ? = null, val lastSynchronizationErrorDate: TelegramDate ? = null, val lastErrorMessage: String ? = null)
Content copied to clipboard

## Constructors

WebhookInfo
Link copied to clipboard
fun WebhookInfo ( url: String , awaitDelivery: Int , maxConnections: Int = 40, customCertificate: Boolean = false, allowedUpdates: List < String > = ALL_UPDATES_LIST, lastErrorDate: TelegramDate ? = null, lastSynchronizationErrorDate: TelegramDate ? = null, lastErrorMessage: String ? = null)
Content copied to clipboard

## Properties

allowedUpdates
Link copied to clipboard
val allowedUpdates : List < String >
Content copied to clipboard
awaitDelivery
Link copied to clipboard
val awaitDelivery : Int
Content copied to clipboard
customCertificate
Link copied to clipboard
val customCertificate : Boolean = false
Content copied to clipboard
hasError
Link copied to clipboard
val hasError : Boolean
Content copied to clipboard
isNotUseWebhook
Link copied to clipboard
val isNotUseWebhook : Boolean
Content copied to clipboard
lastErrorDate
Link copied to clipboard
val lastErrorDate : TelegramDate ? = null
Content copied to clipboard
lastErrorMessage
Link copied to clipboard
val lastErrorMessage : String ? = null
Content copied to clipboard
lastSynchronizationErrorDate
Link copied to clipboard
val lastSynchronizationErrorDate : TelegramDate ? = null
Content copied to clipboard
maxConnections
Link copied to clipboard
val maxConnections : Int = 40
Content copied to clipboard
url
Link copied to clipboard
val url : String
Content copied to clipboard